
class Tagz6 expands BlastMark config(goTagz);

var config string Tag6TextureChoice;
var Texture Tag6Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag6TextureChoice, Tag6Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz6 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz6', T)
      if (T !=Self)
         T.Destroy();
   Tag6Tex = texture(DynamicLoadObject(Tag6TextureChoice, class'Texture'));
   self.Texture = Tag6Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}