
class Tagz2 expands BlastMark config(goTagz);

var config string Tag2TextureChoice;
var Texture Tag2Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag2TextureChoice, Tag2Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz2 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz2', T)
      if (T !=Self)
         T.Destroy();
   Tag2Tex = texture(DynamicLoadObject(Tag2TextureChoice, class'Texture'));
   self.Texture = Tag2Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}