
class Tagz7 expands BlastMark config(goTagz);

var config string Tag7TextureChoice;
var Texture Tag7Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag7TextureChoice, Tag7Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz7 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz7', T)
      if (T !=Self)
         T.Destroy();
   Tag7Tex = texture(DynamicLoadObject(Tag7TextureChoice, class'Texture'));
   self.Texture = Tag7Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}
