
class Tagz9 expands BlastMark config(goTagz);

var config string Tag9TextureChoice;
var Texture Tag9Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag9TextureChoice, Tag9Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz9 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz9', T)
      if (T !=Self)
         T.Destroy();
   Tag9Tex = texture(DynamicLoadObject(Tag9TextureChoice, class'Texture'));
   self.Texture = Tag9Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}